services:
  frigate:
    image: ghcr.io/blakeblackshear/frigate:stable
    container_name: frigate
    restart: unless-stopped
    privileged: true
    shm_size: 512m
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - /docker/homeassistant/frigate:/config
      - /mnt/local_configs/frigate/cache:/tmp/cache
      - /pool/securitycameras:/media
    ports:
      - "5000:5000"
      - "1935:1935"
    runtime: nvidia
    environment:
      - NVIDIA_VISIBLE_DEVICES=all
      - NVIDIA_DRIVER_CAPABILITIES=all
      - FRIGATE_SQLITE_PATH=/config/frigate.db
      - FRIGATE_SQLITE_JOURNAL_MODE=DELETE
      - PUID=1000
      - PGID=1000
    cpus: "2.0"
    mem_limit: "6144m"
    mem_reservation: "2048m"
